Subject: bug#8500: util: where am i

From: Panagiotis Tsiamis <[email-masked]>
Date: Fri, 15 Apr 2011 10:33:16 +0300

Dear Bjartur,

I don't dissagree about your opinion that involves ssh utillity to do this
job (it could possibly also keep a look of systems that you recently connect
also)
but together with ssh there also are rsh/rlogin, telnet,  and other remote
connection software that can be used from cli. I discuss the possibillity to
integrate such a command that keeps tracks of recent systems, current
system, system connection path (hostA->hostB->hostC) and distribute this
information accordingly to each system you connect/disconnect. If anyone has
furthermore ideas or is interested on a tool like this, hope will reply.

BR

2011/4/15 Bjartur Thorlacius <[email-masked]>

> On 4/14/11, Panagiotis Tsiamis <[email-masked]> wrote:
> > Request for adding one more feature on the utillity whoami.
> >
> > The feature should be able to called by
> > "where am i" or "whereami"
> >
> > And should locate:
> > a) System hostname
> > b) ip of the system
> > c) current working directory
> > d) anything else that could be usefull for identify where you are located
> > currently.
> >
> > BR.
> >
> I doubt that should be included in coreutils. I could see the utility
> of such an utility, and think packagers of SSH servers could well
> suggest it, but I can more easily imagine a number of installations
> where `hostname;pwd` would be as good, if not better.
>

-- 
*Panayotis Tsiamis
Systems / Software Engineer*
*Tel: 0030 6977456436
E-Mail*: [email-masked]